import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
var _excluded = ["svgProps"];
import React, { forwardRef } from 'react';
import IconBase from '../icon/IconBase';
var Check2All = /*#__PURE__*/forwardRef(function (_ref, ref) {
  var svgProps = _ref.svgProps,
      restProps = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement(IconBase, _objectSpread(_objectSpread({
    "aria-label": "check2-all"
  }, restProps), {}, {
    ref: ref
  }), /*#__PURE__*/React.createElement("svg", _objectSpread({
    xmlns: "http://www.w3.org/2000/svg",
    width: "1em",
    height: "1em",
    fill: "currentColor",
    viewBox: "0 0 16 16"
  }, svgProps), /*#__PURE__*/React.createElement("path", {
    d: "M12.354 4.354a.5.5 0 0 0-.708-.708L5 10.293 1.854 7.146a.5.5 0 1 0-.708.708l3.5 3.5a.5.5 0 0 0 .708 0l7-7zm-4.208 7-.896-.897.707-.707.543.543 6.646-6.647a.5.5 0 0 1 .708.708l-7 7a.5.5 0 0 1-.708 0z"
  }), /*#__PURE__*/React.createElement("path", {
    d: "m5.354 7.146.896.897-.707.707-.897-.896a.5.5 0 1 1 .708-.708z"
  })));
});
Check2All.displayName = 'Check2All';
export default Check2All;