import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
var _excluded = ["svgProps"];
import React, { forwardRef } from 'react';
import IconBase from '../icon/IconBase';
var Signpost2Fill = /*#__PURE__*/forwardRef(function (_ref, ref) {
  var svgProps = _ref.svgProps,
      restProps = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement(IconBase, _objectSpread(_objectSpread({
    "aria-label": "signpost-2-fill"
  }, restProps), {}, {
    ref: ref
  }), /*#__PURE__*/React.createElement("svg", _objectSpread({
    xmlns: "http://www.w3.org/2000/svg",
    width: "1em",
    height: "1em",
    fill: "currentColor",
    viewBox: "0 0 16 16"
  }, svgProps), /*#__PURE__*/React.createElement("path", {
    d: "M7.293.707A1 1 0 0 0 7 1.414V2H2a1 1 0 0 0-1 1v2a1 1 0 0 0 1 1h5v1H2.5a1 1 0 0 0-.8.4L.725 8.7a.5.5 0 0 0 0 .6l.975 1.3a1 1 0 0 0 .8.4H7v5h2v-5h5a1 1 0 0 0 1-1V8a1 1 0 0 0-1-1H9V6h4.5a1 1 0 0 0 .8-.4l.975-1.3a.5.5 0 0 0 0-.6L14.3 2.4a1 1 0 0 0-.8-.4H9v-.586A1 1 0 0 0 7.293.707z"
  })));
});
Signpost2Fill.displayName = 'Signpost2Fill';
export default Signpost2Fill;